
var SIGNATURE_REQUIRE_MSG = 'm3-sinops-signature-required';

function isSignatureRequested(text){
    return text.substring(0,1) == '{' && text.indexOf(SIGNATURE_REQUIRE_MSG) > 0;
}


function signAskHandler(callback){
    return function(response, opt){
        if(isSignatureRequested(response.responseText)){
            signWin = smart_eval(response.responseText);
            signWin.setOperationPostAction(callback);
        }else{
            callback.apply(this, arguments);
        }
    };
}